Bug 1261080 - no talloc stackframe at ../source3/libsmb/clifsinfo.c:497, leaking memory
no talloc stackframe at ../source3/libsmb/clifsinfo.c:497, leaking memory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1261107
  Show dependency treegraph
 
Reported: 2015-09-08 10:23 EDT by Remi Collet
Modified: 2015-10-05 18:52 EDT (History)
8 users (show)

See Also:
Fixed In Version: samba-4.1.20-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1261107 (view as bug list)
Environment:
Last Closed: 2015-10-05 18:52:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff -up samba-4.1.17/source3/libsmb/libsmb_stat.c samba-4.2.3/source3/libsmb/ (1.94 KB, text/plain)
2015-09-08 10:23 EDT, Remi Collet
no flags Details

  None (edit)
Description Remi Collet 2015-09-08 10:23:42 EDT
Created attachment 1071381 [details]
diff -up samba-4.1.17/source3/libsmb/libsmb_stat.c samba-4.2.3/source3/libsmb/

With libsmbclient-4.1.17-1.fc21

Description of problem:
I work in a libsmbclient wrapper for PHP
https://github.com/eduardok/libsmbclient-php

Running the test suite I got this message.
no talloc stackframe at ../source3/libsmb/clifsinfo.c:497, leaking memory

This is raised when calling smbc_statvfs or smbc_fstatvfs.

Diggin in the libsmb source, in source3/libsmb/clifsinfo.c a call to talloc_tos is done, but no call to talloc_stackframe.

Diffing various version, I think this is fixed in 4.2 / 4.3
Comment 1 Remi Collet 2015-09-08 10:27:04 EDT
I think RHEL-7 version is also affected.
Comment 2 Remi Collet 2015-09-08 10:52:30 EDT
I confirm a rebuild of the F21 .src.rpm with the attached patch fix this issue.
Comment 4 Fedora Update System 2015-09-14 15:59:10 EDT
samba-4.1.20-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15862
Comment 5 Remi Collet 2015-09-15 02:56:31 EDT
Thanks for the quick update
Comment 6 Fedora Update System 2015-09-15 18:54:31 EDT
libtalloc-2.1.2-1.fc21, samba-4.1.20-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update samba libtalloc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15862
Comment 7 Fedora Update System 2015-10-05 18:52:38 EDT
libtalloc-2.1.2-1.fc21, samba-4.1.20-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.